# parsl.launchers.SrunMPILauncher

class parsl.launchers.SrunMPILauncher(debug: bool = True, overrides: str = '')

  Launches as many workers as MPI tasks to be executed concurrently within a block.

  Use this launcher instead of SrunLauncher if each block will execute multiple MPI applications at the same time. Workers should be launched with independent Srun calls so as to setup the environment for MPI application launch.

  __init__(debug: bool = True, overrides: str = '')
    Parameters:

      overrides (str) – This string will be passed to the launcher. Default: ‘’

  Methods

  `__init__`([debug, overrides]) |